Bug 176097 - [GTK] Avoid building fontconfig documentation in jhbuild
Summary: [GTK] Avoid building fontconfig documentation in jhbuild
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tomas Popela
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-30 04:52 PDT by Tomas Popela
Modified: 2017-08-30 06:26 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.10 KB, patch)
2017-08-30 04:55 PDT, Tomas Popela
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Popela 2017-08-30 04:52:44 PDT
Disable building fontconfig documentation in jhbuild as it needs the docbook-utils-pdf package installed which depends on quite a few packages (on Fedora it's 226 packages (mostly textlive) with installed size of 274 MB). The documentation is not needed at all in jhbuild, so disable it to save some bandwidth and disc space.

0 $ sudo dnf install docbook-utils-pdf
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
enabling rpmfusion-nonfree-updates-debuginfo repository
enabling rpmfusion-nonfree-debuginfo repository
Failed to synchronize cache for repo 'bowlofeggs-bodhi', disabling.
Last metadata expiration check: 0:51:04 ago on Wed 30 Aug 2017 12:54:58 PM CEST.
Dependencies resolved.
===============================================================================================================================================================
 Package                                              Arch                    Version                                           Repository                Size
===============================================================================================================================================================
Installing:
 docbook-utils-pdf                                    noarch                  0.6.14-42.fc26                                    fedora                    20 k
Installing dependencies:
 libpaper                                             x86_64                  1.1.24-14.fc26                                    fedora                    41 k
 perl-XML-XPath                                       noarch                  1.42-1.fc26                                       updates                   85 k
 teckit                                               x86_64                  2.5.1-16.fc26                                     fedora                   282 k
 texlive-ae                                           noarch                  6:svn15878.1.4-33.fc26.2                          fedora                   112 k
 texlive-algorithms                                   noarch                  6:svn38085.0.1-33.fc26.2                          fedora                    36 k
 texlive-amscls                                       noarch                  6:svn36804.0-33.fc26.2                            fedora                    68 k
 texlive-amsfonts                                     noarch                  6:svn29208.3.04-33.fc26.2                         fedora                   3.6 M
 texlive-amsmath                                      noarch                  6:svn41561-33.fc26.2                              fedora                    65 k
 texlive-attachfile                                   noarch                  6:svn38830-33.fc26.2                              fedora                    37 k
 texlive-auto-pst-pdf                                 noarch                  6:svn23723.0.6-33.fc26.2                          fedora                    35 k
 texlive-avantgar                                     noarch                  6:svn31835.0-33.fc26.2                            fedora                   309 k
 texlive-babel                                        noarch                  6:svn40706-33.fc26.2                              fedora                    67 k
 texlive-babel-english                                noarch                  6:svn30264.3.3p-33.fc26.2                         fedora                    35 k
 texlive-babelbib                                     noarch                  6:svn25245.1.31-33.fc26.2                         fedora                    65 k
 texlive-base                                         noarch                  6:2016-33.20160520.fc26.1                         fedora                   1.4 M
 texlive-bera                                         noarch                  6:svn20031.0-33.fc26.2                            fedora                   363 k
 texlive-beton                                        noarch                  6:svn15878.0-33.fc26.2                            fedora                    34 k
 texlive-bibtex                                       noarch                  6:svn40768-33.fc26.2                              fedora                    49 k
 texlive-bibtex-bin                                   x86_64                  6:svn40473-33.20160520.fc26.2                     fedora                    84 k
 texlive-bookman                                      noarch                  6:svn31835.0-33.fc26.2                            fedora                   350 k
 texlive-booktabs                                     noarch                  6:svn40846-33.fc26.2                              fedora                    34 k
 texlive-breakurl                                     noarch                  6:svn29901.1.40-33.fc26.2                         fedora                    35 k
 texlive-caption                                      noarch                  6:svn41409-33.fc26.2                              fedora                    69 k
 texlive-carlisle                                     noarch                  6:svn18258.0-33.fc26.2                            fedora                    45 k
 texlive-charter                                      noarch                  6:svn15878.0-33.fc26.2                            fedora                   217 k
 texlive-chngcntr                                     noarch                  6:svn17157.1.0a-33.fc26.2                         fedora                    34 k
 texlive-classpack                                    noarch                  6:svn33101.0.77-33.fc26.2                         fedora                    34 k
 texlive-cm                                           noarch                  6:svn32865.0-33.fc26.2                            fedora                   307 k
 texlive-cm-super                                     noarch                  6:svn15878.0-33.fc26.2                            fedora                    62 M
 texlive-cmextra                                      noarch                  6:svn32831.0-33.fc26.2                            fedora                    61 k
 texlive-collection-basic                             noarch                  6:svn41149-33.20160520.fc26.2                     fedora                    32 k
 texlive-collection-fontsrecommended                  noarch                  6:svn35830.0-33.20160520.fc26.2                   fedora                    32 k
 texlive-collection-htmlxml                           noarch                  6:svn35743.0-33.20160520.fc26.2                   fedora                    32 k
 texlive-collection-latex                             noarch                  6:svn41011-33.20160520.fc26.2                     fedora                    32 k
 texlive-colortbl                                     noarch                  6:svn29803.v1.0a-33.fc26.2                        fedora                    35 k
 texlive-courier                                      noarch                  6:svn35058.0-33.fc26.2                            fedora                   528 k
 texlive-csquotes                                     noarch                  6:svn39538-33.fc26.2                              fedora                    51 k
 texlive-currfile                                     noarch                  6:svn40725-33.fc26.2                              fedora                    36 k
 texlive-dvipdfmx                                     noarch                  6:svn41149-33.fc26.2                              fedora                    97 k
 texlive-dvipdfmx-bin                                 x86_64                  6:svn40273-33.20160520.fc26.2                     fedora                    34 k
 texlive-dvipdfmx-def                                 noarch                  6:svn40328-33.fc26.2                              fedora                    36 k
 texlive-dvips                                        noarch                  6:svn41149-33.fc26.2                              fedora                   1.1 M
 texlive-dvips-bin                                    x86_64                  6:svn40987-33.20160520.fc26.2                     fedora                   153 k
 texlive-dvisvgm-def                                  noarch                  6:svn41011-33.fc26.2                              fedora                    34 k
 texlive-ec                                           noarch                  6:svn25033.1.0-33.fc26.2                          fedora                   492 k
 texlive-enctex                                       noarch                  6:svn34957.0-33.fc26.2                            fedora                    63 k
 texlive-enumitem                                     noarch                  6:svn24146.3.5.2-33.fc26.2                        fedora                    44 k
 texlive-environ                                      noarch                  6:svn33821.0.3-33.fc26.2                          fedora                    34 k
 texlive-eso-pic                                      noarch                  6:svn37925.2.0g-33.fc26.2                         fedora                    36 k
 texlive-etex                                         noarch                  6:svn37057.0-33.fc26.2                            fedora                    49 k
 texlive-etex-pkg                                     noarch                  6:svn39355-33.fc26.2                              fedora                    38 k
 texlive-etoolbox                                     noarch                  6:svn38031.2.2a-33.fc26.2                         fedora                    41 k
 texlive-euler                                        noarch                  6:svn17261.2.5-33.fc26.2                          fedora                    36 k
 texlive-euro                                         noarch                  6:svn22191.1.1-33.fc26.2                          fedora                    35 k
 texlive-eurosym                                      noarch                  6:svn17265.1.4_subrfix-33.fc26.2                  fedora                   173 k
 texlive-fancyhdr                                     noarch                  6:svn15878.3.1-33.fc26.2                          fedora                    41 k
 texlive-fancyvrb                                     noarch                  6:svn18492.2.8-33.fc26.2                          fedora                    45 k
 texlive-filecontents                                 noarch                  6:svn24250.1.3-33.fc26.2                          fedora                    34 k
 texlive-filehook                                     noarch                  6:svn24280.0.5d-33.fc26.2                         fedora                    37 k
 texlive-fix2col                                      noarch                  6:svn38770-33.fc26.2                              fedora                    35 k
 texlive-float                                        noarch                  6:svn15878.1.3d-33.fc26.2                         fedora                    35 k
 texlive-fontspec                                     noarch                  6:svn41262-33.fc26.2                              fedora                    59 k
 texlive-footmisc                                     noarch                  6:svn23330.5.5b-33.fc26.2                         fedora                    39 k
 texlive-fp                                           noarch                  6:svn15878.0-33.fc26.2                            fedora                    55 k
 texlive-fpl                                          noarch                  6:svn15878.1.002-33.fc26.2                        fedora                   392 k
 texlive-geometry                                     noarch                  6:svn19716.5.6-33.fc26.2                          fedora                    41 k
 texlive-glyphlist                                    noarch                  6:svn28576.0-33.fc26.2                            fedora                    58 k
 texlive-graphics                                     noarch                  6:svn41015-33.fc26.2                              fedora                    49 k
 texlive-graphics-cfg                                 noarch                  6:svn40269-33.fc26.2                              fedora                    34 k
 texlive-graphics-def                                 noarch                  6:svn41879-33.fc26.2                              fedora                    58 k
 texlive-gsftopk                                      noarch                  6:svn40768-33.fc26.2                              fedora                    39 k
 texlive-gsftopk-bin                                  x86_64                  6:svn40473-33.20160520.fc26.2                     fedora                    46 k
 texlive-helvetic                                     noarch                  6:svn31835.0-33.fc26.2                            fedora                   634 k
 texlive-hyperref                                     noarch                  6:svn41396-33.fc26.2                              fedora                   156 k
 texlive-hyph-utf8                                    noarch                  6:svn41189-33.fc26.2                              fedora                    50 k
 texlive-hyphen-base                                  noarch                  6:svn41138-33.fc26.2                              fedora                    55 k
 texlive-ifetex                                       noarch                  6:svn24853.1.2-33.fc26.2                          fedora                    34 k
 texlive-ifluatex                                     noarch                  6:svn41346-33.fc26.2                              fedora                    34 k
 texlive-ifplatform                                   noarch                  6:svn21156.0.4-33.fc26.2                          fedora                    34 k
 texlive-iftex                                        noarch                  6:svn29654.0.2-33.fc26.2                          fedora                    34 k
 texlive-ifxetex                                      noarch                  6:svn19685.0.5-33.fc26.2                          fedora                    33 k
 texlive-index                                        noarch                  6:svn24099.4.1beta-33.fc26.2                      fedora                    45 k
 texlive-jadetex                                      noarch                  6:svn40855-33.fc26.2                              fedora                    68 k
 texlive-jadetex-bin                                  noarch                  6:svn3006.0-33.20160520.fc26.2                    fedora                    32 k
 texlive-kastrup                                      noarch                  6:svn15878.0-33.fc26.2                            fedora                    34 k
 texlive-knuth-lib                                    noarch                  6:svn35820.0-33.fc26.2                            fedora                    67 k
 texlive-knuth-local                                  noarch                  6:svn38627-33.fc26.2                              fedora                    60 k
 texlive-koma-script                                  noarch                  6:svn41508-33.fc26.2                              fedora                   6.5 M
 texlive-kpathsea                                     noarch                  6:svn41139-33.fc26.2                              fedora                   159 k
 texlive-kpathsea-bin                                 x86_64                  6:svn40473-33.20160520.fc26.2                     fedora                    56 k
 texlive-kpathsea-doc                                 noarch                  6:svn41139-33.fc26.2                              fedora                   944 k
 texlive-l3kernel                                     noarch                  6:svn41246-33.fc26.2                              fedora                   148 k
 texlive-l3packages                                   noarch                  6:svn41246-33.fc26.2                              fedora                    52 k
 texlive-latex                                        noarch                  6:svn40218-33.fc26.2                              fedora                   232 k
 texlive-latex-bin                                    noarch                  6:svn41438-33.fc26.2                              fedora                    35 k
 texlive-latex-bin-bin                                noarch                  6:svn14050.0-33.20160520.fc26.2                   fedora                    33 k
 texlive-latex-fonts                                  noarch                  6:svn28888.0-33.fc26.2                            fedora                    58 k
 texlive-latexconfig                                  noarch                  6:svn40274-33.fc26.2                              fedora                    38 k
 texlive-lib                                          x86_64                  6:2016-33.20160520.fc26.1                         fedora                   454 k
 texlive-listings                                     noarch                  6:svn37534.1.6-33.fc26.2                          fedora                   160 k
 texlive-lm                                           noarch                  6:svn28119.2.004-33.fc26.2                        fedora                    13 M
 texlive-lm-math                                      noarch                  6:svn36915.1.959-33.fc26.2                        fedora                   442 k
 texlive-ltxmisc                                      noarch                  6:svn21927.0-33.fc26.2                            fedora                    49 k
 texlive-lua-alt-getopt                               noarch                  6:svn29349.0.7.0-33.fc26.2                        fedora                    34 k
 texlive-lualatex-math                                noarch                  6:svn40621-33.fc26.2                              fedora                    36 k
 texlive-lualibs                                      noarch                  6:svn40370-33.fc26.2                              fedora                   152 k
 texlive-luaotfload                                   noarch                  6:svn40902-33.fc26.2                              fedora                   530 k
 texlive-luaotfload-bin                               noarch                  6:svn34647.0-33.20160520.fc26.2                   fedora                    32 k
 texlive-luatex                                       noarch                  6:svn40963-33.fc26.2                              fedora                    53 k
 texlive-luatex-bin                                   x86_64                  6:svn41091-33.20160520.fc26.2                     fedora                   3.3 M
 texlive-luatexbase                                   noarch                  6:svn38550-33.fc26.2                              fedora                    37 k
 texlive-makeindex                                    noarch                  6:svn40768-33.fc26.2                              fedora                    65 k
 texlive-makeindex-bin                                x86_64                  6:svn40473-33.20160520.fc26.2                     fedora                    56 k
 texlive-manfnt-font                                  noarch                  6:svn35799.0-33.fc26.2                            fedora                    58 k
 texlive-marginnote                                   noarch                  6:svn41382-33.fc26.2                              fedora                    36 k
 texlive-marvosym                                     noarch                  6:svn29349.2.2a-33.fc26.2                         fedora                   167 k
 texlive-mathpazo                                     noarch                  6:svn15878.1.003-33.fc26.2                        fedora                   100 k
 texlive-memoir                                       noarch                  6:svn41203-33.fc26.2                              fedora                   115 k
 texlive-metafont                                     noarch                  6:svn40793-33.fc26.2                              fedora                   134 k
 texlive-metafont-bin                                 x86_64                  6:svn40987-33.20160520.fc26.2                     fedora                   220 k
 texlive-mflogo                                       noarch                  6:svn38628-33.fc26.2                              fedora                    34 k
 texlive-mflogo-font                                  noarch                  6:svn36898.1.002-33.fc26.2                        fedora                    53 k
 texlive-mfnfss                                       noarch                  6:svn19410.0-33.fc26.2                            fedora                    35 k
 texlive-mfware                                       noarch                  6:svn40768-33.fc26.2                              fedora                    45 k
 texlive-mfware-bin                                   x86_64                  6:svn40473-33.20160520.fc26.2                     fedora                   107 k
 texlive-mparhack                                     noarch                  6:svn15878.1.4-33.fc26.2                          fedora                    35 k
 texlive-mptopdf                                      noarch                  6:svn41282-33.fc26.2                              fedora                    73 k
 texlive-mptopdf-bin                                  noarch                  6:svn18674.0-33.20160520.fc26.2                   fedora                    32 k
 texlive-ms                                           noarch                  6:svn29849.0-33.fc26.2                            fedora                    39 k
 texlive-multido                                      noarch                  6:svn18302.1.42-33.fc26.2                         fedora                    36 k
 texlive-natbib                                       noarch                  6:svn20668.8.31b-33.fc26.2                        fedora                    50 k
 texlive-ncntrsbk                                     noarch                  6:svn31835.0-33.fc26.2                            fedora                   356 k
 texlive-oberdiek                                     noarch                  6:svn41346-33.fc26.2                              fedora                   326 k
 texlive-palatino                                     noarch                  6:svn31835.0-33.fc26.2                            fedora                   403 k
 texlive-paralist                                     noarch                  6:svn39247-33.fc26.2                              fedora                    36 k
 texlive-parallel                                     noarch                  6:svn15878.0-33.fc26.2                            fedora                    36 k
 texlive-passivetex                                   noarch                  6:svn15878.0-33.fc26.2                            fedora                    82 k
 texlive-pdftex                                       noarch                  6:svn41149-33.fc26.2                              fedora                    73 k
 texlive-pdftex-bin                                   x86_64                  6:svn40987-33.20160520.fc26.2                     fedora                   394 k
 texlive-pdftex-def                                   noarch                  6:svn22653.0.06d-33.fc26.2                        fedora                    46 k
 texlive-pdftex-doc                                   noarch                  6:svn41149-33.fc26.2                              fedora                   1.5 M
 texlive-pgf                                          noarch                  6:svn40966-33.fc26.2                              fedora                   823 k
 texlive-plain                                        noarch                  6:svn40274-33.fc26.2                              fedora                   494 k
 texlive-pslatex                                      noarch                  6:svn16416.0-33.fc26.2                            fedora                    40 k
 texlive-psnfss                                       noarch                  6:svn33946.9.2a-33.fc26.2                         fedora                    61 k
 texlive-pspicture                                    noarch                  6:svn15878.0-33.fc26.2                            fedora                    34 k
 texlive-pst-3d                                       noarch                  6:svn17257.1.10-33.fc26.2                         fedora                    36 k
 texlive-pst-coil                                     noarch                  6:svn37377.1.07-33.fc26.2                         fedora                    37 k
 texlive-pst-eps                                      noarch                  6:svn15878.1.0-33.fc26.2                          fedora                    36 k
 texlive-pst-fill                                     noarch                  6:svn15878.1.01-33.fc26.2                         fedora                    36 k
 texlive-pst-grad                                     noarch                  6:svn15878.1.06-33.fc26.2                         fedora                    37 k
 texlive-pst-math                                     noarch                  6:svn34786.0.63-33.fc26.2                         fedora                    38 k
 texlive-pst-node                                     noarch                  6:svn40743-33.fc26.2                              fedora                    60 k
 texlive-pst-ovl                                      noarch                  6:svn40873-33.fc26.2                              fedora                    35 k
 texlive-pst-pdf                                      noarch                  6:svn31660.1.1v-33.fc26.2                         fedora                    40 k
 texlive-pst-pdf-bin                                  noarch                  6:svn7838.0-33.20160520.fc26.2                    fedora                    32 k
 texlive-pst-plot                                     noarch                  6:svn41242-33.fc26.2                              fedora                    56 k
 texlive-pst-text                                     noarch                  6:svn15878.1.00-33.fc26.2                         fedora                    37 k
 texlive-pst-tools                                    noarch                  6:svn34067.0.05-33.fc26.2                         fedora                    37 k
 texlive-pst-tree                                     noarch                  6:svn24142.1.12-33.fc26.2                         fedora                    39 k
 texlive-pstricks                                     noarch                  6:svn41321-33.fc26.2                              fedora                   116 k
 texlive-pstricks-add                                 noarch                  6:svn40744-33.fc26.2                              fedora                    58 k
 texlive-pxfonts                                      noarch                  6:svn15878.0-33.fc26.2                            fedora                   514 k
 texlive-qstest                                       noarch                  6:svn15878.0-33.fc26.2                            fedora                    38 k
 texlive-rotating                                     noarch                  6:svn16832.2.16b-33.fc26.2                        fedora                    35 k
 texlive-rsfs                                         noarch                  6:svn15878.0-33.fc26.2                            fedora                    91 k
 texlive-sauerj                                       noarch                  6:svn15878.0-33.fc26.2                            fedora                    38 k
 texlive-setspace                                     noarch                  6:svn24881.6.7a-33.fc26.2                         fedora                    40 k
 texlive-showexpl                                     noarch                  6:svn32737.v0.3l-33.fc26.2                        fedora                    36 k
 texlive-soul                                         noarch                  6:svn15878.2.4-33.fc26.2                          fedora                    39 k
 texlive-subfig                                       noarch                  6:svn15878.1.3-33.fc26.2                          fedora                    40 k
 texlive-symbol                                       noarch                  6:svn31835.0-33.fc26.2                            fedora                    71 k
 texlive-tetex                                        noarch                  6:svn41059-33.fc26.2                              fedora                   119 k
 texlive-tetex-bin                                    noarch                  6:svn36770.0-33.20160520.fc26.2                   fedora                    34 k
 texlive-tex                                          noarch                  6:svn40793-33.fc26.2                              fedora                    39 k
 texlive-tex-bin                                      x86_64                  6:svn40987-33.20160520.fc26.2                     fedora                   195 k
 texlive-tex-gyre                                     noarch                  6:svn18651.2.004-33.fc26.2                        fedora                   7.0 M
 texlive-tex-gyre-math                                noarch                  6:svn41264-33.fc26.2                              fedora                   1.4 M
 texlive-tex-ini-files                                noarch                  6:svn40533-33.fc26.2                              fedora                    36 k
 texlive-tex4ht                                       noarch                  6:svn41440-33.fc26.2                              fedora                   1.6 M
 texlive-tex4ht-bin                                   x86_64                  6:svn41440-33.20160520.fc26.2                     fedora                    98 k
 texlive-texconfig                                    noarch                  6:svn40768-33.fc26.2                              fedora                    48 k
 texlive-texconfig-bin                                noarch                  6:svn29741.0-33.20160520.fc26.2                   fedora                    32 k
 texlive-texlive-common-doc                           noarch                  6:svn40682-33.fc26.2                              fedora                   231 k
 texlive-texlive-docindex                             noarch                  6:svn41430-33.fc26.2                              fedora                   165 k
 texlive-texlive-en                                   noarch                  6:svn41185-33.fc26.2                              fedora                    89 k
 texlive-texlive-msg-translations                     noarch                  6:svn41431-33.fc26.2                              fedora                   158 k
 texlive-texlive-scripts                              noarch                  6:svn41433-33.fc26.2                              fedora                    49 k
 texlive-texlive-scripts-bin                          noarch                  6:svn29741.0-33.20160520.fc26.2                   fedora                    32 k
 texlive-texlive.infra                                noarch                  6:svn41280-33.fc26.2                              fedora                   165 k
 texlive-texlive.infra-bin                            x86_64                  6:svn40312-33.20160520.fc26.2                     fedora                    32 k
 texlive-thumbpdf                                     noarch                  6:svn34621.3.16-33.fc26.2                         fedora                    54 k
 texlive-thumbpdf-bin                                 noarch                  6:svn6898.0-33.20160520.fc26.2                    fedora                    32 k
 texlive-times                                        noarch                  6:svn35058.0-33.fc26.2                            fedora                   357 k
 texlive-tipa                                         noarch                  6:svn29349.1.3-33.fc26.2                          fedora                   2.8 M
 texlive-tools                                        noarch                  6:svn40934-33.fc26.2                              fedora                    79 k
 texlive-trimspaces                                   noarch                  6:svn15878.1.1-33.fc26.2                          fedora                    33 k
 texlive-txfonts                                      noarch                  6:svn15878.0-33.fc26.2                            fedora                   786 k
 texlive-ucharcat                                     noarch                  6:svn38907-33.fc26.2                              fedora                    33 k
 texlive-ulem                                         noarch                  6:svn26785.0-33.fc26.2                            fedora                    42 k
 texlive-underscore                                   noarch                  6:svn18261.0-33.fc26.2                            fedora                    37 k
 texlive-unicode-data                                 noarch                  6:svn39808-33.fc26.2                              fedora                   284 k
 texlive-unicode-math                                 noarch                  6:svn38462-33.fc26.2                              fedora                    77 k
 texlive-updmap-map                                   noarch                  6:svn41159-33.fc26.2                              fedora                   200 k
 texlive-url                                          noarch                  6:svn32528.3.4-33.fc26.2                          fedora                    38 k
 texlive-utopia                                       noarch                  6:svn15878.0-33.fc26.2                            fedora                   249 k
 texlive-varwidth                                     noarch                  6:svn24104.0.92-33.fc26.2                         fedora                    36 k
 texlive-wasy                                         noarch                  6:svn35831.0-33.fc26.2                            fedora                    58 k
 texlive-wasy2-ps                                     noarch                  6:svn35830.0-33.fc26.2                            fedora                   247 k
 texlive-wasysym                                      noarch                  6:svn15878.2.0-33.fc26.2                          fedora                    36 k
 texlive-xcolor                                       noarch                  6:svn41044-33.fc26.2                              fedora                    51 k
 texlive-xdvi                                         noarch                  6:svn40768-33.fc26.2                              fedora                    76 k
 texlive-xdvi-bin                                     x86_64                  6:svn40750-33.20160520.fc26.2                     fedora                   322 k
 texlive-xetex                                        noarch                  6:svn41438-33.fc26.2                              fedora                   382 k
 texlive-xetex-bin                                    x86_64                  6:svn41091-33.20160520.fc26.2                     fedora                   626 k
 texlive-xetex-def                                    noarch                  6:svn40327-33.fc26.2                              fedora                    39 k
 texlive-xetexconfig                                  noarch                  6:svn41133-33.fc26.2                              fedora                    32 k
 texlive-xkeyval                                      noarch                  6:svn35741.2.7a-33.fc26.2                         fedora                    49 k
 texlive-xmltex                                       noarch                  6:svn40855-33.fc26.2                              fedora                   102 k
 texlive-xmltex-bin                                   noarch                  6:svn3006.0-33.20160520.fc26.2                    fedora                    32 k
 texlive-xmltexconfig                                 noarch                  6:svn35743.0-33.fc26.2                            fedora                    32 k
 texlive-xunicode                                     noarch                  6:svn30466.0.981-33.fc26.2                        fedora                    60 k
 texlive-zapfchan                                     noarch                  6:svn31835.0-33.fc26.2                            fedora                   119 k
 texlive-zapfding                                     noarch                  6:svn31835.0-33.fc26.2                            fedora                    81 k
 zziplib                                              x86_64                  0.13.62-8.fc26                                    fedora                    84 k

Transaction Summary
===============================================================================================================================================================
Install  226 Packages

Total download size: 129 M
Installed size: 274 M
Is this ok [y/N]: No way..
Comment 1 Tomas Popela 2017-08-30 04:55:53 PDT
Created attachment 319357 [details]
Patch
Comment 2 Adrian Perez 2017-08-30 05:23:32 PDT
Comment on attachment 319357 [details]
Patch

Informal review: r+

I wonder why we even had documentation enabled... A good idea could
be reviewing the whole JHBuild module set and disable other optional
features in packages which we don't need, and make a follo-up patch.

At any rate, I would already land this as-is now.
Comment 3 Tomas Popela 2017-08-30 05:49:02 PDT
Comment on attachment 319357 [details]
Patch

Clearing flags on attachment: 319357

Committed r221370: <http://trac.webkit.org/changeset/221370>
Comment 4 Tomas Popela 2017-08-30 05:49:06 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Tomas Popela 2017-08-30 05:50:06 PDT
(In reply to Adrian Perez from comment #2)
> I wonder why we even had documentation enabled... A good idea could
> be reviewing the whole JHBuild module set and disable other optional
> features in packages which we don't need, and make a follo-up patch.

Good idea Adrian, I will look into it..
Comment 6 Adrian Perez 2017-08-30 06:26:04 PDT
(In reply to Tomas Popela from comment #5)
> (In reply to Adrian Perez from comment #2)
> > I wonder why we even had documentation enabled... A good idea could
> > be reviewing the whole JHBuild module set and disable other optional
> > features in packages which we don't need, and make a follo-up patch.
> 
> Good idea Adrian, I will look into it..

As a first pass I already disabled running “autogen.sh” for the
modules which do not need it, see bug #176098 for the patch. I
already did the same yesterday for the WPE JHBuild module set :-)